<aside class="main-sidebar">
    <!-- sidebar: style can be found in sidebar.less -->
    <section class="sidebar">
      <!-- Sidebar user panel -->
      <div class="user-panel">
        <div class="pull-left image">
          <img src="../../assets/dist/img/user2-160x160.jpg" class="img-circle" alt="User Image">
        </div>
        <div class="pull-left info">
        <p>{{fname}}{{lname}}</p>
          <a href="#"><i class="fa fa-circle text-success"></i> Online</a>
        </div>
      </div>
      <!-- search form -->
      <form action="#" method="get" class="sidebar-form">
        <div class="input-group">
          <input type="text" name="q" class="form-control" placeholder="Search...">
          <span class="input-group-btn">
                <button type="submit" name="search" id="search-btn" class="btn btn-flat"><i class="fa fa-search"></i>
                </button>
              </span>
        </div>
      </form>
      <!-- /.search form -->
      <!-- sidebar menu: : style can be found in sidebar.less -->
      

      <ul class="sidebar-menu" data-widget="tree">
          <li>
              <a href=""  routerLink='dashboard' *ngIf="role==2">
                <i class="fa fa-table"></i> <span>Dashboard</span>
                <span class="pull-right-container">
                </span>
              </a>
            </li>
        <li>
          <a href="" routerLink='pH' *ngIf="role==2">
            <i class="fa fa-pie-chart"></i>
            <span>pH</span>
            <span class="pull-right-container">
            </span>
          </a>
        </li>
        <!-- <li>
          <a href="" routerLink="createuser" *ngIf="role==1">
            <i class="fa fa-user"></i>
            <span>Create user</span>
            <span class="pull-right-container">
            </span>
          </a>
        </li> -->
        <li>
          <a href="" routerLink="viewuser" *ngIf="role==1">
            <i class="fa fa-users"></i>
            <span>View users</span>
            <span class="pull-right-container">
            </span>
          </a>
        </li>
         <li>
          <a href=""  routerLink="Ammonia" *ngIf="role==2">
            <i class="fa fa-laptop"></i>
            <span>Ammonia</span>
            <span class="pull-right-container">
            </span>
          </a>
        </li>
        <li>
          <a href=""  routerLink='Nitrate' *ngIf="role==2">
            <i class="fa fa-edit"></i> <span>Nitrate</span>
            <span class="pull-right-container">
            </span>
          </a>
        </li>
        <li>
          <a href=""  routerLink='DO' *ngIf="role==2">
            <i class="fa fa-table"></i> <span>Dissolved Oxygen</span>
            <span class="pull-right-container">
            </span>
          </a>
        </li>
      </ul>
    </section>
    <!-- /.sidebar -->
  </aside>